> For the complete documentation index, see [llms.txt](https://docs.hackle.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hackle.io/en/development-guide/android/android-push-message-setup/android-push-message-customization.md).

# Push Icon and Channel Settings

## Change Push Message Icon

{% hint style="info" %}
This feature is supported in Android SDK 2.57.0 and above.
{% endhint %}

Hackle Push Messages support changing the push icon.\
By assigning a resource to the pre-defined keys in `AndroidManifest.xml`, you can change the push icon using local app resources.

{% hint style="warning" %}
Due to Google policy, icons with color cannot be set as push icons on standard Android smartphones.
{% endhint %}

{% hint style="info" %}
For more details on small\_icon, large\_icon, and color, see the [Android Push Design Guide](https://developer.android.com/design/ui/mobile/guides/home-screen/notifications?hl=ko#notification-header).
{% endhint %}

<table><thead><tr><th width="451.35546875">key</th><th>Description</th></tr></thead><tbody><tr><td><code>io_hackle_android_default_notification_small_icon</code></td><td>Sets the small icon.</td></tr><tr><td><code>io_hackle_android_default_notification_large_icon</code></td><td>Sets the large icon.</td></tr><tr><td><code>io_hackle_android_default_notification_color</code></td><td>Sets the small icon background color.</td></tr></tbody></table>

### Example

```xml
<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">
    <uses-permission android:name="android.permission.POST_NOTIFICATIONS"/>
    <application
        android:name=".MainApplication"
        >
       ...
       <meta-data
            android:name="io_hackle_android_default_notification_small_icon"
            android:resource="@drawable/ic_push_small"/>

       <meta-data
            android:name="io_hackle_android_default_notification_large_icon"
            android:resource="@drawable/ic_push_large"/>

       <meta-data
            android:name="io_hackle_android_default_notification_color"
            android:resource="@color/pie" />
       ...
    </application>
</manifest>
```

### Modify Push Message Icon from the Dashboard

When a push icon is configured in the Dashboard, the large icon of the push is modified.

* If a push icon is configured both as a local resource and in the Dashboard, the icon set in the Dashboard takes precedence.

## Push Channel Support

{% hint style="info" %}
This feature is supported in Android SDK 2.58.0 and above.
{% endhint %}

With Hackle Push Messages, you can receive pushes on a pre-declared channel in the app.\
If a push is received with a channel ID that does not exist in the app, it is received on the default channel provided by Hackle.

{% hint style="info" %}
For how to add a push channel to your app, see the [Android Developer Documentation](https://developer.android.com/develop/ui/views/notifications/channels?hl=ko).

If you want to display a notification popup when a push is received (as on iOS), set the push channel importance to `IMPORTANCE_HIGH`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hackle.io/en/development-guide/android/android-push-message-setup/android-push-message-customization.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
